/*===============================================*/
/*    Scegli telecomando     */
/*===============================================*/
.sf-field-post-meta-mel_feature, .sf-field-post-meta-mel_brand, .sf-field-submit, .sf-field-reset {display: none;}
form[id^=search-filter-form-] > ul > li > ul {
    display: flex;
    flex-wrap: wrap;
}
form[id^=search-filter-form-] ul {
    list-style: none;
	  padding: 0;
}
form[id^=search-filter-form-] > ul > li > ul li {
  position: relative;
  min-height: 120px;
  justify-content: center;
  align-content: center;
  display: flex;
  flex-direction: column;
  width: 33%;
  background: #557077;
  border: 1px solid #000;
  padding: 0px 0px;
  text-align: center;
  color: #fff;
  transition: .2s all ease-in-out;
}
form[id^=search-filter-form-] > ul > li > ul li input {
  	appearance: none;
  	-webkit-appearance: none;
  	position: absolute;
  	top: 0;
  	left: 0;
  	width: 100%;
  	height: 100%;
  	padding: 0;
    margin: 0;
  	cursor: pointer;
    border-color: transparent!important;
}
form[id^=search-filter-form-] > ul > li > ul li:hover {
	cursor: pointer;
	background: #000;
	transition: .2s all ease-in-out;
}
form[id^=search-filter-form-] > ul > li > ul li label {
  text-transform: uppercase;
  font-size: 14px;
  letter-spacing: 1px;
  font-weight: 600;
	pointer-events: none;
  position: relative;
  cursor: pointer;
}
form[id^=search-filter-form-] > ul > li > ul li input[checked="checked"]:parent(li) {
	background: #ef404b;
}
li.sf-level-0[data-sf-count="0"] {
  background: #c4d0d4 !important;
  transition: .2s all ease-in-out;
  pointer-events: none;
}
li.sf-level-0 span[uk-icon] {
  margin-bottom: 5px;
  pointer-events: none;
  z-index: 1;
}
input.sf-input-checkbox[checked="checked"]:before {
  content: '';
    height: 100%;
    width: 100%;
    display: block;
    background: #ef404b;
}

.sf-field-post-meta-mel_device {
  position: absolute;
  width: calc(100% - 33px);
}
.sf-input-select[name="_sfm_mel_brand[]"], .sf-field-post-meta-mel_brand {
  position: relative;
  width: 100%;
  text-align: center;
  margin: 0 auto;
  z-index: 10000;
  pointer-events: auto;
}
.sf-input-select[name="_sfm_mel_brand[]"], .sf-field-post-meta-mel_brand select {
  width: 33%;
}
li.sf-field-submit, li.sf-field-reset {
    text-align: center;
    margin-bottom: 10px;
    z-index: 2;
    position: relative;
}
.sf-field-submit input:not(.disabled) {
  box-shadow: 0 0 0 0 rgba(232, 76, 61, 0.7);
  -webkit-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -moz-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -ms-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
}
.sf-field-submit input:not(.disabled):hover {
  -webkit-animation: none;
  -moz-animation: none;
  -ms-animation: none;
  animation: none;
}
@-webkit-keyframes pulse {to {box-shadow: 0 0 0 15px rgba(232, 76, 61, 0);}}
@-moz-keyframes pulse {to {box-shadow: 0 0 0 15px rgba(232, 76, 61, 0);}}
@-ms-keyframes pulse {to {box-shadow: 0 0 0 15px rgba(232, 76, 61, 0);}}
@keyframes pulse {to {box-shadow: 0 0 0 15px rgba(232, 76, 61, 0);}}

#me-sceglitelecomando-container h4 {
    text-align: center;
    font-size: 28px;
    display: none;
}
#me-sceglitelecomando-container {
  min-height: 645px;
  background: rgba(0,0,0,.4);
  position: relative;
}
#me-sceglitelecomando-container form {
  padding: 0 20px 20px 20px;
  overflow: hidden;
}
#me-sceglitelecomando-container .me-button-container {
  /* position: absolute;
  bottom: 0;
  left: 0px; */
  padding: 10px 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
}
#nextBtn {
  box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.7);
  -webkit-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -moz-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  -ms-animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
  animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
}
#nextBtn:disabled, #prevBtn:disabled {
  box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
  -webkit-animation: none;
  -moz-animation: none;
  -ms-animation: none;
  animation: none;
  opacity: 0;
  transition: opacity .2s ease-in-out;
}
button#prevBtn {
    margin-left: 20px;
    width: 110px;
}
button#nextBtn {
    margin-right: 20px;
    width: 100px;
}
#me-brand-rewrite {
  display: block;
  z-index:2;
  position: relative;
  text-transform: uppercase;
}

@media all and (max-width: 800px) {
  form[id^=search-filter-form-] > ul > li > ul li {
      min-height: unset;
      width: calc(50% - 2px);
      padding: 15px 0;
  }
  form[id^=search-filter-form-] > ul > li > ul li label {
    line-height: 1;
    font-size: 12px;
    letter-spacing: 0px;
  }
  .sf-input-select[name="_sfm_mel_brand[]"], .sf-field-post-meta-mel_brand select {
    width: 100%;
  }
  #me-sceglitelecomando-container {
    min-height: 400px;
  }
  #me-sceglitelecomando-container form {
    margin-bottom: 40px;
  }
  form[id^=search-filter-form-] > ul > li.sf-field-post-meta-mel_feature > ul li:nth-last-child(2) {
    order: 1;
    width: 100%;
  }
}
@media all and (max-width: 639px) {
  .sf-input-checkbox + .sf-label-checkbox:before {
    height: 30px;
    width: 30px;
  }
  li.sf-field-submit input {
    font-size: 14px;
    white-space: inherit;
  }
}
@media (hover: none) and (pointer: coarse) {
  form[id^=search-filter-form-] > ul > li > ul li:hover {
    background: #557077;
  }
}

/* Progress Bar */

#bar-container {
    width: 100%;
    height: 5px;
    background: #fff;
}

#bar-item {
    height: 100%;
    background: #ee404b;
    width: 0%;
    transition: .5s width linear;
}
.step-1 #bar-item {
    width: 33%;
}
.step-2 #bar-item {
    width: 66%;
}
.step-3 #bar-item {
    width: 100%;
}
#bar-indicator {
  position: absolute;
  height: 25px;
  width: 25px;
  /* min-width: 140px; */
  text-align: center;
  /* padding: 0 10px; */
  top: 2px;
  line-height: 24px;
  left: 0px;
  background: #ee404b;
  color: #fff;
  font-weight: 700;
  font-size: 13px;
  transform: translate(0%, -50%);
  border-radius: 20px;
  transition: .5s left ease-in-out;
}
.step-1 #bar-indicator {
  left: calc( 33% - 25px );
}
.step-2 #bar-indicator {
  left: calc( 66% - 25px );
}
.step-3 #bar-indicator {
  left: calc( 100% - 25px );
}
